This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1009842 - Rename Request: ghc-highlighting-kate - Sourcecode syntax highlighting
Rename Request: ghc-highlighting-kate - Sourcecode syntax highlighting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 05:48 EDT by Jens Petersen
Modified: 2014-02-23 23:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-23 23:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-09-19 05:48:06 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-highlighting-kate.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-highlighting-kate-0.5.5-1.fc19.src.rpm

Description:
highlighting-kate is a syntax highlighting library with support for nearly one
hundred languages. The syntax parsers are automatically generated from Kate
syntax descriptions (<http://kate-editor.org/>), so any syntax supported by
Kate can be added.


 This is a Rename request for the former package 'highlighting-kate'
Comment 1 Jens Petersen 2013-09-19 05:51:21 EDT
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5954356

I wanted to rename this package for a while.
It contains an unimportant utility that was in
the highlighting-kate binary package which is now
moved to ghc-highlighting-kate-devel.  This package
is very much a library (used by pandoc) and should
not have been BinLib package.
Comment 2 Jens Petersen 2013-09-19 05:55:44 EDT
Original package review is bug 709949.
Comment 5 Jens Petersen 2013-11-14 20:16:19 EST
The devel package obsoletes the old highlighting-kate binary package,
which I think is good enough considering that the Highlight program
in the old highlighting-kate binary is little used.
Comment 6 Shakthi Kannan 2014-01-09 05:15:00 EST
I am getting a build error on F19:

+ case "${QA_CHECK_RPATHS:-}" in
+ /usr/lib/rpm/check-rpaths
*******************************************************************************
*
* WARNING: 'check-rpaths' detected a broken RPATH and will cause 'rpmbuild'
*          to fail. To ignore these errors, you can set the '$QA_RPATHS'
*          environment variable which is a bitmask allowing the values
*          below. The current value of QA_RPATHS is 0x0000.
*
*    0x0001 ... standard RPATHs (e.g. /usr/lib); such RPATHs are a minor
*               issue but are introducing redundant searchpaths without
*               providing a benefit. They can also cause errors in multilib
*               environments.
*    0x0002 ... invalid RPATHs; these are RPATHs which are neither absolute
*               nor relative filenames and can therefore be a SECURITY risk
*    0x0004 ... insecure RPATHs; these are relative RPATHs which are a
*               SECURITY risk
*    0x0008 ... the special '$ORIGIN' RPATHs are appearing after other
*               RPATHs; this is just a minor issue but usually unwanted
*    0x0010 ... the RPATH is empty; there is no reason for such RPATHs
*               and they cause unneeded work while loading libraries
*    0x0020 ... an RPATH references '..' of an absolute path; this will break
*               the functionality when the path before '..' is a symlink
*          
*
* Examples:
* - to ignore standard and empty RPATHs, execute 'rpmbuild' like
*   $ QA_RPATHS=$[ 0x0001|0x0010 ] rpmbuild my-package.src.rpm
* - to check existing files, set $RPM_BUILD_ROOT and execute check-rpaths like
*   $ RPM_BUILD_ROOT=<top-dir> /usr/lib/rpm/check-rpaths
*  
*******************************************************************************
ERROR   0002: file '/usr/bin/Highlight' contains an invalid rpath '/home/mbuf/rpmbuild/BUILD/highlighting-kate-0.5.5/dist/build' in [/home/mbuf/rpmbuild/BUILD/highlighting-kate-0.5.5/dist/build:/usr/lib64/ghc-7.4.2/pcre-light-0.4:/usr/lib64/ghc-7.4.2/parsec-3.1.3:/usr/lib64/ghc-7.4.2/mtl-2.1.2:/usr/lib64/ghc-7.4.2/transformers-0.3.0.0:/usr/lib64/ghc-7.4.2/filepath-1.3.0.0:/usr/lib64/ghc-7.4.2/containers-0.4.2.1:/usr/lib64/ghc-7.4.2/blaze-html-0.5.1.0:/usr/lib64/ghc-7.4.2/blaze-markup-0.5.1.1:/usr/lib64/ghc-7.4.2/blaze-builder-0.3.1.0:/usr/lib64/ghc-7.4.2/text-0.11.2.3:/usr/lib64/ghc-7.4.2/deepseq-1.3.0.0:/usr/lib64/ghc-7.4.2/array-0.4.0.0:/usr/lib64/ghc-7.4.2/bytestring-0.9.2.1:/usr/lib64/ghc-7.4.2/base-4.5.1.0:/usr/lib64/ghc-7.4.2/integer-gmp-0.4.0.0:/usr/lib64/ghc-7.4.2/ghc-prim-0.2.0.0:/usr/lib64/ghc-7.4.2]
error: Bad exit status from /var/tmp/rpm-tmp.Ne845N (%install)

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.Ne845N (%install)
Comment 7 Jens Petersen 2014-01-09 22:54:58 EST
Good catch, thanks.

I had given the wrong executable name to %ghc_fix_dynamic_rpath.

I filed bug 1051291: an cabal-rpm rfe to extract the executable name automatically.

I also added a check to %ghc_fix_dynamic_rpath in Rawhide so that
it now fails if the program name does not exist.

The rpath issue should be fixed in:

Spec: http://petersen.fedorapeople.org/reviews/ghc-highlighting-kate/ghc-highlighting-kate.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-highlighting-kate/ghc-highlighting-kate-0.5.6-1.fc20.src.rpm

which also updates to 0.5.6.
Comment 8 Jens Petersen 2014-01-09 22:56:52 EST
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6382826
Comment 9 Jens Petersen 2014-01-24 04:48:23 EST
Ping? :)
Comment 10 Shakthi Kannan 2014-01-30 11:50:21 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 110 files have unknown license. Detailed output
     of licensecheck in 1009842-ghc-highlighting-kate/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 9451520 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-highlighting-kate-0.5.6-1.fc21.x86_64.rpm
          ghc-highlighting-kate-devel-0.5.6-1.fc21.x86_64.rpm
          ghc-highlighting-kate-0.5.6-1.fc21.src.rpm
ghc-highlighting-kate.x86_64: W: spelling-error Summary(en_US) Sourcecode -> Source code, Source-code, Outsource
ghc-highlighting-kate.x86_64: W: spelling-error %description -l en_US parsers -> parser, parses, parers
ghc-highlighting-kate.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-highlighting-kate-devel.x86_64: W: no-manual-page-for-binary Highlight
ghc-highlighting-kate.src: W: spelling-error Summary(en_US) Sourcecode -> Source code, Source-code, Outsource
ghc-highlighting-kate.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
ghc-highlighting-kate.src: W: spelling-error %description -l en_US http -> HTTP
3 packages and 0 specfiles checked; 0 errors, 7 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-highlighting-kate-devel ghc-highlighting-kate
ghc-highlighting-kate-devel.x86_64: W: no-manual-page-for-binary Highlight
ghc-highlighting-kate.x86_64: W: spelling-error Summary(en_US) Sourcecode -> Source code, Source-code, Outsource
ghc-highlighting-kate.x86_64: W: spelling-error %description -l en_US parsers -> parser, parses, parers
ghc-highlighting-kate.x86_64: W: spelling-error %description -l en_US http -> HTTP
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-highlighting-kate-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc(blaze-html-0.6.1.1-74b89d78fdb27cee6a6592a1caa310c1)
    ghc(blaze-markup-0.5.1.5-23936e9ed5688b66870d9ddf1c77a4f0)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926)
    ghc(filepath-1.3.0.1-b12cbe18566fe1532a1fda4c85e31cbe)
    ghc(ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd)
    ghc(highlighting-kate-0.5.6-076d91d5a887413f5704dcb2705bdf9b)
    ghc(integer-gmp-0.5.0.0-2f15426f5b53fe4c6490832f9b20d8d7)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(pcre-light-0.4-eaabcdb497bfcb5e33efe5bfc7a9aa33)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(blaze-html-0.6.1.1-74b89d78fdb27cee6a6592a1caa310c1)
    ghc-devel(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc-devel(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc-devel(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc-devel(pcre-light-0.4-eaabcdb497bfcb5e33efe5bfc7a9aa33)
    ghc-highlighting-kate(x86-64)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSblaze-html-0.6.1.1-ghc7.6.3.so()(64bit)
    libHSblaze-markup-0.5.1.5-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHShighlighting-kate-0.5.6-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpcre-light-0.4-ghc7.6.3.so()(64bit)
    libHSrts-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libffi.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    libpcre.so.1()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)

ghc-highlighting-kate (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(blaze-html-0.6.1.1-74b89d78fdb27cee6a6592a1caa310c1)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(pcre-light-0.4-eaabcdb497bfcb5e33efe5bfc7a9aa33)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSblaze-html-0.6.1.1-ghc7.6.3.so()(64bit)
    libHSblaze-markup-0.5.1.5-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpcre-light-0.4-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    libpcre.so.1()(64bit)
    rtld(GNU_HASH)

Provides
--------
ghc-highlighting-kate-devel:
    ghc-devel(highlighting-kate-0.5.6-076d91d5a887413f5704dcb2705bdf9b)
    ghc-highlighting-kate-devel
    ghc-highlighting-kate-devel(x86-64)
    ghc-highlighting-kate-static
    highlighting-kate

ghc-highlighting-kate:
    ghc(highlighting-kate-0.5.6-076d91d5a887413f5704dcb2705bdf9b)
    ghc-highlighting-kate
    ghc-highlighting-kate(x86-64)
    libHShighlighting-kate-0.5.6-ghc7.6.3.so()(64bit)

Unversioned so-files
--------------------
ghc-highlighting-kate: /usr/lib64/ghc-7.6.3/highlighting-kate-0.5.6/libHShighlighting-kate-0.5.6-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/highlighting-kate/0.5.6/highlighting-kate-0.5.6.tar.gz :
  CHECKSUM(SHA256) this package     : 2d11fd0b0340842b9c3d5ccc1ec3e5153d44170edcfd3b211d6b9d3e548da1d9
  CHECKSUM(SHA256) upstream package : 2d11fd0b0340842b9c3d5ccc1ec3e5153d44170edcfd3b211d6b9d3e548da1d9

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1009842
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Successful Koji builds for F19, F20, F21:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6472515
http://koji.fedoraproject.org/koji/taskinfo?taskID=6472487
http://koji.fedoraproject.org/koji/taskinfo?taskID=6472491

Package APPROVED.
Comment 11 Jens Petersen 2014-01-30 21:06:07 EST
Thank you for reviewing.

(In reply comment #10)
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.

I just confirm that the new package does obsolete the old one properly:
$ rpm -qp --obsoletes ghc-highlighting-kate-devel-0.5.6-1.fc20.x86_64.rpm
highlighting-kate < 0.5.6-1.fc20
$ rpm -qp --provides ghc-highlighting-kate-devel-0.5.6-1.fc20.x86_64.rpm
ghc-highlighting-kate-static = 0.5.6-1.fc20 | grep ^high
highlighting-kate = 0.5.6-1.fc20

as mentioned in comment 5.
Comment 12 Jens Petersen 2014-01-30 21:07:40 EST
New Package SCM Request
=======================
Package Name: ghc-highlighting-kate
Short Description: Sourcecode syntax highlighting
Owners: petersen
Branches: f20 f19 el6
InitialCC: haskell-sig
Comment 13 Gwyn Ciesla 2014-01-31 07:48:35 EST
Git done (by process-git-requests).
Comment 14 Jens Petersen 2014-02-03 04:31:07 EST
Built for Rawhide.

I will probably "backport" it later to F20, etc.

Note You need to log in before you can comment on or make changes to this bug.